@import url('https://fonts.googleapis.com/css2?family=Courier+Prime:ital,wght@0,400;1,700&display=swap');
html, body{
    font-family: 'Courier Prime', monospace;
    height: 100%;
    margin: 0;
}
body{
    cursor: url(/asset/images/square-fill.svg), auto;
}
::-moz-selection { /* Code for Firefox */
    color: white;
    background: black;
  }
  
  ::selection {
    color: white;
    background: black;
  }
h1{
    font-size: 2rem;
    font-family: 'Courier Prime', monospace;
    font-weight: 600;
}
  
h2{
    font-size: 2rem;
    font-weight: 200;
}
  
h3{
    font-size: 1.75rem;
    font-style: italic;
    font-weight: 200;
  }
  
p{
    font-size: 1.3rem;
    font-family: 'Courier Prime', monospace;
    font-weight: 600;
}
a{
    color: black;
    text-decoration: none;
    cursor: url(/asset/images/sq.svg), auto;
}

span{
    font-size: 1.3rem;
    font-family: 'Courier Prime', monospace;
    font-weight: 600;
}
.cen{
    display: grid;
    align-items: center;
    justify-content: center;

}
.nav{
    padding-top: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.nav-item{
    font-size: 1.6rem;
    font-family: 'Courier Prime', monospace;
    font-weight: 600;
    display: grid;
    align-items: center;
    justify-content: center;
}
.nav-link{
    cursor: url(/asset/images/sq.svg), auto;
    color: black;
}
.nav-link:hover{
    background-color: black;
    color: white;
}
.logo>a>img{
    transition: 0.5s all;
}
.logo>a>img:hover{
    background-color: black;
    filter: invert();
    transform: scale(1.04);
}
.logo-mobile{
    display: none;
    align-items: center;
    justify-content: center;
}
#intro{
    padding-left: 70px;
    padding-right: 70px;
    padding-top: 50px;

}
#email{
    text-align: center;
}
footer{
    position: fixed;
    bottom: 0;
    background-color: white;
    width: 100%;
    display: grid;
    justify-content: center;
    box-shadow: -3px -3px black, -5px -5px white;
}
.fa{
    width: 30px;
    margin-right: 20px;
    transition: 0.1s all;
    cursor: url(/asset/images/sq.svg), auto;
}
.fa:hover{
    transform: scale(1.1);
    background-color: black;
    color: white;
}
.social-links{
    display: flex;
    margin-top: 20px;
    align-items: center;
    justify-content: center;
}
.right{
    margin-top: 10px;
    text-align: center;
    margin-bottom: 20px;
}
.container-holes{
    position: fixed;
    width: 40px;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding-bottom: 60px;
    margin-left: 20px;
    z-index: 2;
}
.hole{
    width:40px;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: black;
}
.page-title{
    font-weight: 600;
}
.projects-list{
    padding-left: 70px;
    padding-right: 70px;
    padding-top: 50px;
    display: flex;
    flex-direction: column;
    gap: 85px;
    font-size: 2rem;
    font-weight: 600;
    height: 400px;
}
.projects-list > a{
    transition: 0.2s all;
}
.projects-list > a:hover{
    background-color: black;
    color: white;
    
}
#intro >a>p:hover{
    background-color: black;
    color: white;
}

.trailer-box{
    display: grid;
    align-items: center;
    justify-content: center;
}
iframe{
    background-color: black;
}
.trailer-box > p > a:hover{
    color: white;
    background-color: black;
    text-decoration: none;
}
.cast{
    display: grid;
    align-items: center;
    justify-content: center;
    color: black;
}
.cast > #show-button:hover, .cast > #hide-button:hover{
    color: white;
    background-color: black;
    cursor: url(/asset/images/sq.svg), auto;
}
#hide-button{
    display: none;
    margin-bottom: 200px;
}
#hide-button, #show-button{
    text-align: center;
    font-size: 1.5rem;
}
#cast-text > p{
    text-align: center;
}
.right-left{
    display: flex;
    flex-direction: row;
    gap: 50px;
}
#movie-name{
    background-color: black;
    color: white;
    font-size: 2rem;
}
.panel >.row>.col-sm-3>span{
    font-size: 1.5 rem;
    text-decoration: underline;
    padding: 8px;
}
.panel >.row>.col-sm-3>span:hover{
    font-size: 1.5 rem;
    color: white;
    background-color: black;
    cursor: url(/asset/images/sq.svg), auto;
}
.cast-text, .full-movie, #gallery-box, #cast-text{
    display: none;
}
#trailer{
    background-color: black;
    color: white;
}
.dynamic{
    margin-top: 20px;
    display: grid;
    align-items: center;
    justify-content: center;
    padding-bottom: 200px;
}
#gallery-box>div>div>img{
    width: 100%;
    margin-bottom: 20px;
}
.col-sm-4{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.res-img{
    border: 10px solid black;
    cursor: url(/asset/images/sq.svg), auto;
}
.image-box{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 2;
}
.back-black{
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.9;
    z-index: 2;
}
#prev-button{
    left: 5%;
}
#next-button{
    left: 90%;
}
#prev-button, #next-button{
    cursor: url(/asset/images/sq.svg), auto;
    position: absolute;
    margin-top: 15vh;
    z-index: 10;
}
#prev-button:hover, #next-button:hover, #close-button:hover{
    transform: scale(1.1);
}
#close-button{
    position: absolute;
    cursor: url(/asset/images/sq.svg), auto;
    aspect-ratio: 1;
    left: 90%;
    top:5%;
    z-index: 10;
}
.image{
    position: relative;
    opacity: 1;
    z-index: 3;
    width: 90%;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
}
#this-img{
    object-fit: contain;
   object-position: center;
}
.trailer-box>p, .full-movie>p{
    text-align: center;
}
.not-found>p{
    margin-top: 2vw;
    text-align: center;
    background-color: black;
    color: white;
    font-size: 2rem;
}
/* Extra small devices (phones,  575px and down) */
@media only screen and (max-width: 575px) {
    
    #intro{
        padding-left: 45px;
        padding-right: 0;
    }
    .container-holes{
        overflow: hidden;
        display: flex;
        flex-direction: column;
        padding-bottom: 60px;
        margin-left: 10px;
        z-index: 2;
    }
    iframe{
        width: 100%;
    }
    .projects-list{
        padding-left: 50px;
        padding-right: 0;
        font-size: 28px;
        gap: 25px;
    }
    p{
        font-size: 18px;
    }
    .logo{
        display: none;
    }
    .logo-mobile{
        display: flex;
    }
    .nav-item{
        font-size: 1.7rem;
    }
    .right>span{
        font-size: 15px;
    }
    .social-links>a>svg{
        scale: 0.8;
    }
    .hole{
        width:25px;
    }
    #next-button{
        left: 80%;
    }
    #close-button{
        left: 80%;
    }
    #movie-name{
        font-size: 1.5rem;
    }
    .right-left{
        gap: 10px;
        text-align: right;
        margin-right: 40px;
    }
}



/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width:  575px) and (max-width: 768px) {
    #intro{
        padding-right: 0px;
        padding-left: 75px;
        padding-right: 0;
    }
    .panel{
        padding-left: 20px;
    }
    .container-holes{
        padding-bottom: 60px;
    }
    iframe{
        width: 100%;
    }
    .projects-list{
        padding-left: 75px;
        padding-right: 0;
        font-size: 1.75rem;
        gap:35px ;
    }
    
    .hole{
        width: 35px;
    }
    
}
/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 769px) and (max-width: 1200px) {
    #intro{
        padding-right: 0px;
        padding-left: 40px;
        padding-right: 0;
    }
    .panel{
        padding-left: 0px;
    }
    .container-holes{
        padding-bottom: 60px;
    }
    iframe{
        width: 100%;
    }
    .projects-list{
        padding-left: 40px;
        padding-right: 0;
    }
    .hole{
        width: 35px;
    }
}